#! /bin/sh 
echo "GPIO exporting ..."

LOW=0
HIGH=1
DIR_OUT="out"
DIR_IN="in"

isexist ()
{
  [ -e $1 ]
}

## DI1
echo 119 > /sys/class/gpio/export
echo ${DIR_IN} > /sys/class/gpio/gpio119/direction
if ! isexist "/gpio/DI1"
then
  ln -s /sys/class/gpio/gpio119 /gpio/DI1
fi

## DI2
echo 121 > /sys/class/gpio/export
echo ${DIR_IN} > /sys/class/gpio/gpio121/direction
if ! isexist /gpio/DI2
then
  ln -s /sys/class/gpio/gpio121 /gpio/DI2
fi

## DO1
echo 31 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio31/direction
echo ${LOW} > /sys/class/gpio/gpio31/value
if ! isexist /gpio/DO1
then
  ln -s /sys/class/gpio/gpio31 /gpio/DO1
fi

## DO2
echo 30 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio30/direction
echo ${LOW} > /sys/class/gpio/gpio30/value
if ! isexist /gpio/DO2
then
  ln -s /sys/class/gpio/gpio30 /gpio/DO2
fi

#turn off user's led
echo 1 > /sys/class/leds/user/brightness

#set uart1 to rs485
#setuart -p 1 -t 485 -b 115200
exit 0
