#! /bin/sh 
echo "GPIO exporting ..."

LOW=0
HIGH=1
DIR_OUT="out"
DIR_IN="in"

isexist ()
{
  [ -e $1 ]
}

## DO0
echo 115 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio115/direction
if ! isexist "/gpio/DO0"
then
  ln -s /sys/class/gpio/gpio115 /gpio/DO0
fi

## DI1
echo 119 > /sys/class/gpio/export
echo ${DIR_IN} > /sys/class/gpio/gpio119/direction
if ! isexist "/gpio/DI1"
then
  ln -s /sys/class/gpio/gpio119 /gpio/DI1
fi

## DI2
echo 121 > /sys/class/gpio/export
echo ${DIR_IN} > /sys/class/gpio/gpio121/direction
if ! isexist /gpio/DI2
then
  ln -s /sys/class/gpio/gpio121 /gpio/DI2
fi

#turn off user's leds
echo 1 > /sys/class/leds/user1/brightness
echo 1 > /sys/class/leds/user2/brightness

#set uart2/3 to rs485
setuart -p 2 -t 485 -b 115200
setuart -p 3 -t 485 -b 115200

exit 0
