#!/bin/sh

echo 0 > /sys/block/mmcblk1boot1/force_ro

echo "Supported panels: wf70btiah,am800480,lq057v3d"
read -p "Default panel is wf70btiah, change?(y/n)" key
if [[ $key = 'y' ]]; then
	read -p "panel:" panel 
	fw_setenv panel ${panel}
	fw_setenv ev9g45a_${panel}.dtb
	umount /media
	mount /dev/mmcblk1p1 /media
	if [ ! -f "/media/boot/ev9g45a_${panel}.dtb" ]; then
		cp /media/boot/ev9g45a.dtb /media/boot/ev9g45a_${panel}.dtb
	fi
else
	fw_setenv ev9g45a.dtb
fi

fw_setenv mmcargs "setenv bootargs "console='${console}','${baudrate}' root=/dev/mmcblk'${mmcdev}'p'${mmcpart}' rw rootwait""
sync
echo 1 > /sys/block/mmcblk1boot1/force_ro

umount /media
mount /dev/mmcblk1p1 /media

cp ./artila-image-ev9g45a-m-x6ull.tar.bz2 /media/home/root/
cp ./action-imx6 /media/etc/init.d/action
sync
umount /media
yes | restore factory

