#! /bin/sh 
echo "GPIO exporting ..."

LOW=0
HIGH=1
DIR_OUT="out"
DIR_IN="in"

isexist ()
{
  [ -e $1 ]
}

## GPIO1 - IO2_8
echo 40 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio40/direction
if ! isexist "/gpio/GPIO1"
then
  ln -s /sys/class/gpio/gpio40 /gpio/GPIO1
fi

## GPIO2 - IO2_9
echo 41 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio41/direction
if ! isexist "/gpio/GPIO2"
then
  ln -s /sys/class/gpio/gpio41 /gpio/GPIO2
fi

## GPIO3 - IO2_10
echo 42 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio42/direction
if ! isexist "/gpio/GPIO3"
then
  ln -s /sys/class/gpio/gpio42 /gpio/GPIO3
fi

## GPIO4 - IO2_11
echo 43 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio43/direction
if ! isexist "/gpio/GPIO4"
then
  ln -s /sys/class/gpio/gpio43 /gpio/GPIO4
fi

## GPIO5 - IO2_12
echo 44 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio44/direction
if ! isexist "/gpio/GPIO5"
then
  ln -s /sys/class/gpio/gpio44 /gpio/GPIO5
fi

## GPIO6 - IO2_13
echo 45 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio45/direction
if ! isexist "/gpio/GPIO6"
then
  ln -s /sys/class/gpio/gpio45 /gpio/GPIO6
fi

## GPIO7 - IO4_15
echo 111 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio111/direction
if ! isexist "/gpio/GPIO7"
then
  ln -s /sys/class/gpio/gpio111 /gpio/GPIO7
fi

## GPIO8 - IO4_11
echo 107 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio107/direction
if ! isexist "/gpio/GPIO8"
then
  ln -s /sys/class/gpio/gpio107 /gpio/GPIO8
fi

## GPIO9 - IO2_14
echo 46 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio46/direction
if ! isexist "/gpio/GPIO9"
then
  ln -s /sys/class/gpio/gpio46 /gpio/GPIO9
fi

## GPIO10 - IO2_15
echo 47 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio47/direction
if ! isexist "/gpio/GPIO10"
then
  ln -s /sys/class/gpio/gpio47 /gpio/GPIO10
fi

## GPIO11 - IO1_9
echo 9 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio9/direction
if ! isexist "/gpio/GPIO11"
then
  ln -s /sys/class/gpio/gpio9 /gpio/GPIO11
fi

## GPIO12 - IO1_30
echo 30 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio30/direction
if ! isexist "/gpio/GPIO12"
then
  ln -s /sys/class/gpio/gpio30 /gpio/GPIO12
fi

## GPIO13 - IO1_31
echo 31 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio31/direction
if ! isexist "/gpio/GPIO13"
then
  ln -s /sys/class/gpio/gpio31 /gpio/GPIO13
fi

## GPIO14 - IO4_13
echo 109 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio109/direction
if ! isexist "/gpio/GPIO14"
then
  ln -s /sys/class/gpio/gpio109 /gpio/GPIO14
fi

## GPIO15 - IO4_14
echo 110 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio110/direction
if ! isexist "/gpio/GPIO15"
then
  ln -s /sys/class/gpio/gpio110 /gpio/GPIO15
fi

## GPIO1_8 for LCD Contrast Control 
echo 8 > /sys/class/gpio/export
echo ${DIR_OUT} > /sys/class/gpio/gpio8/direction
if ! isexist "/gpio/LCDCC"
then
  ln -s /sys/class/gpio/gpio8 /gpio/LCDCC
fi

#Turn on LCD Blacklight
echo 0 > /gpio/LCDCC/value
#turn off user's leds
#echo 1 > /sys/class/leds/user1/brightness
#echo 1 > /sys/class/leds/user2/brightness

#set uart2 to rs485
setuart -p 2 -t 485 

exit 0
